function p = psnr(X, S, max)
% Peak Signal-to-noise ratio
%
% Input: X - reference image
%
%        S - image being compared
%
%        max - maximum pixel value of the image
%
% Output: p - psnr

[m n]= size(X);

p = 10 * log10((max * max) / (norm(X - S, 'fro')^2 / (m*n)));
